.createGameDialogWrapper {
    display: flex;
    position: absolute;
    z-index: 100;
    width: 1280px;
    height: 832px;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, 0.50);
}
.createGameDialog {
    display: flex;
    width: 816px;
    flex-direction: column;
    align-items: flex-start;
    border-radius: 12px;
    background: #183749;
}

.createGameDialogHeader {
    display: flex;
    width: 100%;
    height: 48px;
    padding: 8px 16px 0 24px;
    align-items: center;
    gap: 12px;
    align-self: stretch;
}
.createGameDialogHeaderTitle {
    width: 724px;
    text-align: left;
    color: #FFF;
    font-size: 20px;
    font-weight: 600;
    line-height: 160%;
    letter-spacing: 0.15px;
}
.createGameDialogHeaderClose {
    display: flex;
    padding: 8px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
}
.createGameDialogHeaderCloseIcon {
    width: 24px;
    height: 24px;
}

.createGameDialogContentWrapper {
    display: flex;
    width: 816px;
    padding: 16px 24px;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    border-top: 1px solid rgba(255, 255, 255, 0.20);
    border-bottom: 1px solid rgba(255, 255, 255, 0.20);
}
.createGameDialogContentAlert {
    display: flex;
    height: 28px;
    padding: 4px 8px;
    align-items: center;
    gap: 8px;
    align-self: stretch;
    border-radius: 12px;
    border: 1px solid rgba(211, 47, 47, 0.50);
    background: rgba(211, 47, 47, 0.30);
}
.createGameDialogContentAlertIcon {
    display: flex;
    align-items: flex-start;
    width: 20px;
    height: 20px;
}
.createGameDialogContentAlertLabel {
    color: #FFF;
    font-size: 14px;
    font-weight: 400;
    line-height: 1435;
    letter-spacing: 0.17px;
}
.createGameDialogContent {
    display: flex;
    height: 568px;
    align-items: center;
    gap: 24px;
    align-self: stretch;
}
.createGameDialogContentInputError {
    border: 1px solid #F44336 !important;
}
.createGameDialogContentL {
    display: flex;
    width: 384px;
    padding-top: 16px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    flex-shrink: 0;
}
.createGameDialogContentLGame {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    align-self: stretch;
}
.createGameDialogContentLGameTitle {
    color: #80DEEA;
    font-size: 12px;
    font-weight: 600;
    line-height: 20px;
    letter-spacing: 0.17px;
    text-transform: uppercase;
}
.createGameDialogContentLGameS {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    align-self: stretch;
}
.createGameDialogContentLGameSItem {
    display: flex;
    height: 42px;
    align-items: center;
    justify-content: space-between;
    gap: 24px;
    align-self: stretch;
}
.createGameDialogContentLGameSItemLabel {
    color: #FFF;
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
}
.createGameDialogContentLGameSItemInput {
    display: flex;
    align-items: center;
    gap: 4px;
}
.createGameDialogContentLGameSItemInputButton {
    display: flex;
    padding: 8px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.createGameDialogContentLGameSItemInputButtonIcon {
    width: 24px;
    height: 24px;
}
.createGameDialogContentLGameSItemInputContent {
    display: flex;
    width: 130px;
    height: 42px;
    align-items: center;
    justify-content: center;
    padding: 9px 12px 8px 12px;
    border-radius: 12px;
    background: #265571;
}
.createGameDialogContentLGameSItemInputText {
    color: #FFF;
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: 0.15px;
}
.createGameDialogContentLGameSItemButtonGroup {
    display: flex;
    width: 218px;
    height: 42px;
    justify-content: center;
    align-items: center;
    align-self: stretch;
    border-radius: 20px;
    border: 1px solid rgba(255, 255, 255, 0.20);
}
.createGameDialogContentLGameSItemButtonGroupBC {
    display: flex;
    height: 40px;
    padding: 12px;
    justify-content: center;
    align-items: center;
    flex: 1 0 0;
}
.createGameDialogContentLGameSItemButtonGroupBBR {
    border-right: 1px solid rgba(255, 255, 255, 0.20);
}

.createGameDialogContentLAS {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    align-self: stretch;
}
.createGameDialogContentLASTitle {
    color: #80DEEA;
    font-size: 12px;
    font-weight: 600;
    line-height: 20px;
    letter-spacing: 0.17px;
    text-transform: uppercase;
}

/* Switch settings */
.cgdSwitchRow {
    display: flex;
    align-items: center;
    gap: 4px;
    align-self: stretch;
}
.cgdSwitch {
    display: flex;
    position: relative;
    width: 58px;
    height: 38px;
    align-items: center;
}
.cgdSwitch,
.cgdSwitch * {
    cursor: pointer;
}
.cgdSwitchLabelWrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    flex: 1 0 0;
}
.cgdSwitchLabel {
    color: #FFF;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
}
.cgdSwitchSlide1 {
    display: inline-flex;
    padding: 12px;
    align-items: center;
    justify-content: center;
    opacity: 0.38;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.cgdSwitchSlide2 {
    width: 34px;
    height: 14px;
    border-radius: 100px;
}
.cgdSwitchSlideOff {
    background: rgba(255, 255, 255, 0.38);
}
.cgdSwitchSlideOn {
    background: #80DEEA;
}
.cgdSwitchKnobWrapper {
    display: flex;
    width: 38px;
    height: 38px;
    position: absolute;
    top: 19px;
    transform: translateY(-50%);
    border-radius: 100px;
    align-items: center;
    justify-content: center;
}
.cgdSwitchKnob {
    width: 20px;
    height: 20px;
    border-radius: 100px;
}
.cgdSwitchKnobWrapperOff {
    left: 1px;
}
.cgdSwitch:hover .cgdSwitchKnobWrapperOff {
    background: rgba(255, 255, 255, 0.08);
}
.cgdSwitch:active .cgdSwitchKnobWrapperOff {
    background: rgba(255, 255, 255, 0.30);
}
.cgdSwitch:hover .cgdSwitchKnobWrapperOn {
    background: rgba(128, 222, 234, 0.08);
}
.cgdSwitch:active .cgdSwitchKnobWrapperOn {
    background: rgba(128, 222, 234, 0.3);
}
.cgdSwitchKnobWrapperOn {
    left: 22px;
}
.cgdSwitchKnobOff {
    background: #E0E0E0;
}
.cgdSwitchKnobOn {
    background: #80DEEA;
}

.createGameDialogContentR {
    display: flex;
    width: 360px;
    padding: 16px 16px 24px 16px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
    flex: 1 0 0;
    align-self: stretch;
    border-radius: 12px;
    background: #1D475F;
}
.createGameDialogContentRTitle {
    color: #80DEEA;
    font-size: 12px;
    font-weight: 600;
    line-height: 20px;
    letter-spacing: 0.17px;
    text-transform: uppercase;
}
.createGameDialogContentRS {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    align-self: stretch;
}
.createGameDialogContentRRating {
    display: flex;
    height: 94px;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
    align-self: stretch;
}
.createGameDialogContentRLabel {
    color: #FFF;
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
}
.createGameDialogContentRRatingItemWrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 4px;
    align-self: stretch;
}
.createGameDialogContentRRatingItemError {
    color: #E57373;
    font-size: 12px;
    font-weight: 400;
    line-height: 166%;
    letter-spacing: 0.4px;
}
.createGameDialogContentRRatingItem {
    display: flex;
    height: 42px;
    align-items: center;
    gap: 4px;
    align-self: stretch;
}
.createGameDialogContentRRatingItemInput {
    display: flex;
    width: 140px;
    height: 42px;
    min-width: 24px;
    border: 0;
    border-radius: 12px;
    background: #265571;
    padding: 9px 50px 8px 50px;
    color: #FFF;
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    letter-spacing:0.15px;
    line-height: 24px;
    flex: 1 0 0;
}
.createGameDialogContentRRatingItemInput::placeholder {
    color: rgba(255, 255, 255, 0.38);
}
.createGameDialogContentRRatingItemInput:hover {

}
.createGameDialogContentRRatingItemInput:focus {
    outline: none;
    box-shadow: none;
}
.createGameDialogContentRRatingItemIcon {
    width: 24px;
    height: 24px;
}
.createGameDialogContentRTerm {
    display: flex;
    height: 42px;
    align-items: center;
    gap: 4px;
    align-self: stretch;
}
.createGameDialogContentRTerm1 {
    display: flex;
    width: 132px;
    flex-direction: column;
    align-items: flex-start;
}
.createGameDialogContentRTermInput {
    display: flex;
    align-items: center;
    gap: 4px;
    flex: 1 0 0;
}
.createGameDialogContentRTermInputButton {
    display: flex;
    padding: 8px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.createGameDialogContentRTermInputButtonIcon {
    width: 24px;
    height: 24px;
}
.createGameDialogContentRTermInputContent {
    display: flex;
    width: 88px;
    height: 42px;
    align-items: center;
    justify-content: center;
    padding: 9px 12px 8px 12px;
    border-radius: 12px;
    background: #265571;
    flex: 1 0 0;
}
.createGameDialogContentRTermInputText {
    color: #FFF;
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: 0.15px;
}
.createGameDialogContentRSearch {
    display: flex;
    height: 42px;
    min-width: 24px;
    border: 0;
    border-radius: 12px;
    background: #265571;
    padding: 9px 40px 8px 12px;
    color: #FFF;
    text-align: left;
    font-size: 14px;
    font-weight: 400;
    letter-spacing:0.15px;
    line-height: 24px;
}
.createGameDialogContentRSearch::placeholder {
    color: rgba(255, 255, 255, 0.38);
}
.createGameDialogContentRSearch:focus {
    outline: none;
    box-shadow: none;
}

.createGameDialogFooter {
    display: flex;
    width: 100%;
    height: 68px;
    padding: 16px 24px;
    justify-content: space-between;
    align-items: center;
    align-self: stretch;
}
.createGameDialogFooterInfo {
    display: flex;
    align-items: center;
    gap: 8px;
}
.createGameDialogFooterInfoLabel {
    color: #FFF;
    font-size: 14px;
    font-weight: 400;
    line-height: 143%;
    letter-spacing: 0.17px;
}
.createGameDialogFooterInfoCoins {
    display: flex;
    align-items: center;
    gap: 4px;
}
.createGameDialogFooterInfoCoinsLabel {
    color: #FFF;
    font-size: 16px;
    font-weight: 400;
    line-height: 150%;
    letter-spacing: 0.15px;
}
.createGameDialogFooterInfoCoinsIcon {
    width: 24px;
    height: 24px;
    aspect-ratio: 1/1;
}
.createGameDialogFooterActions {
    display: flex;
    align-items: center;
    gap: 16px;
}
.createGameDialogFooterClose {
    display: flex;
    padding: 6px 16px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    border: 1px solid rgba(255, 255, 255, 0.50);
}
.createGameDialogFooterClose:hover {
    background: rgba(255, 255, 255, 0.08);
}
.createGameDialogFooterClose:active {
    background: rgba(255, 255, 255, 0.30);
}
.createGameDialogFooterCreate {
    display: flex;
    padding: 6px 16px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 20px;
    background: #0097A7;
    box-shadow: 0 1px 18px 0 rgba(0, 0, 0, 0.12), 0 6px 10px 0 rgba(0, 0, 0, 0.14), 0 3px 5px -1px rgba(0, 0, 0, 0.20);
}
.createGameDialogFooterButtonLabel {
    color: #FFF;
    font-size: 14px;
    font-weight: 500;
    line-height: 24px;
    letter-spacing: 0.4px;
}